/********************************************************************
 * DL1416 Display control module header
 *
 * 
 *******************************************************************/
#ifndef DISPLAY_H
#define	DISPLAY_H

#include <xc.h>
#include <stdbool.h>
#include <stdint.h>


#define DISP_NUM_CHARS 16

#define DISP_BLANK 0x20

// Display memory control masks
#define DISP_MEM_MASK_IMM  0x01
#define DISP_MEM_MASK_SHDW 0x02
#define DISP_MEM_MASK_BOTH (DISP_MEM_MASK_IMM | DISP_MEM_MASK_SHDW)


void DISP_Init();
void DISP_Clear(uint8_t dispMemMask);
void DISP_SetChar(uint8_t pos, uint8_t ch, uint8_t dispMemMask);
void DISP_SetCursor(uint8_t pos, uint8_t en);
void DISP_LoadShadowMemory();

#endif	/* DISPLAY_H */

