/* 
 * File:   system.h
 * Author: danjulio
 *
 * Created on June 3, 2016, 11:56 AM
 */

#ifndef SYSTEM_H
#define	SYSTEM_H

#include <xc.h>
#include <stdbool.h>
#include <stdint.h>
#include "fixed_address_memory.h"
#include "usb_config.h"

// Firmware version - BCD encoded for USB - use only digits 0-9
#define FW_MAJOR  0x01
#define FW_MINOR  0x02

// Maximum columns for the implementation
#define MAX_COLS 64
#define MAX_ROWS 16

// Row/Column configuration
#define DISP_CFG_PORT PORTC
#define DISP_CFG_TRIS TRISC
#define DISP_CFG_ANSEL ANSELC
#define DISP_CFG_MASK 0xFC
#define DISP_CFG_ROW_MASK 0xF0
#define DISP_CFG_ROW_SHIFT 4
#define DISP_CFG_COL_MASK 0x0C
#define DISP_CFG_COL_SHIFT 2

// Display Serial Interface
#define DISP_SCLK LATBbits.LATB4
#define DISP_SCLK_TRIS TRISBbits.TRISB4
#define DISP_SCLK_ANSEL ANSELBbits.ANSB4

#define DISP_SD0 LATAbits.LATA4
#define DISP_SD0_TRIS TRISAbits.TRISA4
#define DISP_SD0_ANSEL ANSELAbits.ANSA4

#define DISP_SD1 LATAbits.LATA5
#define DISP_SD1_TRIS TRISAbits.TRISA5

#define DISP_WRN LATBbits.LATB6
#define DISP_WRN_TRIS TRISBbits.TRISB6

// Serial Interface
#define SIF_RX PORTBbits.RB5
#define SIF_RX_TRIS TRISBbits.TRISB5
#define SIF_RX_ANSEL ANSELBbits.ANSB5

#define SIF_TX PORTBbits.RB7
#define SIF_TX_TRIS TRISBbits.TRISB7


#endif	/* SYSTEM_H */

